var data;

$(document).ready(function() {
  $.getJSON('js/drahtdaten.json', function(d) {
    data = d;
    var drahtarten = data.drahtarten;

    for(var i = 0; i < drahtarten.length; i++) {
      $('#draht').append('<option value="' + drahtarten[i] +'">' + drahtarten[i] + '</option>');
    }
    
	getWires(drahtarten[0]);
  });

  $('select#draht').on('change', getWires);
});

var getWires = function() {
	$('#wires').empty();
	var drahtart = $('select#draht').val();
    var wiresData = data.wires[drahtart];
    for(var i = 0; i < wiresData.length; i++) {
      $('#wires').append('<option value="' + wiresData[i][1] + '|' + wiresData[i][2] +'">' + wiresData[i][0] + '</option>');
    }
    
	for(var i=1; i<=600; i++){
		$('#widerstand').append('<option class="alignright" value="'+ i/100 + '">' + i/100 + ' &Omega;</option>');
    }

	for(var i=5; i<=80; i++){
        $('#microcoil').append('<option class="alignright" value="'+ i/10 + '">' + i/10 + ' mm</option>');
     }

    var ohm = Number($('#wires option:first-child').val().split('|')[0]);
    var dm = Number($('#wires option:first-child').val().split('|')[1]);
    calc(ohm,dm);
    info();
	$('#wires, #widerstand, #microcoil').on('change', init);
};

var calc = function(o,d) {
  var num = Math.round($('#widerstand').val() / ( o / 1000 ));
  var coilcount = Math.floor(num / (( Number($('#microcoil').val()) + d / 2 ) * Math.PI ));

  $('#num').html(num);
  $('#coilcount').html(coilcount);
};

var init = function() {
  var ohm = Number($('#wires').val().split('|')[0]);
  var dm = Number($('#wires').val().split('|')[1]);
  calc(ohm,dm);
  info();
};

function  info() {
	var kai = $('#wires').val().split('|')[0];
	$('#wire-info').html(kai);
}
