function stripBad(string) {
    for (var i=0, output='', valid="eE-0123456789."; i<string.length; i++)
       if (valid.indexOf(string.charAt(i)) != -1)
          output += string.charAt(i)
    return output;
}

function calculate() {
  var lvolts, lamps, lwatts, lohms;
  var mvolts, mamps, mwatts, mohms;
  
  with (document.ohmslaw) {
	lvolts = stripBad(volts.value);
	volts.value = lvolts;
	lamps = stripBad(amps.value);
	amps.value = lamps;
	lwatts = stripBad(watts.value);
	watts.value = lwatts;
	lohms = stripBad(ohms.value);
	ohms.value = lohms;

	 mvolts = 1;
	 mamps = 1;
	 mohms = 1;
	 mwatts = 1;
  }

  var valueCount = 0;
  if (lvolts == "") valueCount++;
  if (lamps == "") valueCount++;
  if (lwatts == "") valueCount++;
  if (lohms == "") valueCount++;

  if (valueCount < 2) {
    alert("Bitte 2 Werte eintragen.");
	return;
  }
  if (valueCount > 2) {
    alert("Nur 2 Werte eintagen.");
	return;
  }

  if ((lvolts != "") & (lamps != "")){
    lvolts = parseFloat(lvolts) * mvolts;
    lamps = parseFloat(lamps) * mamps;
	lwatts = lvolts * lamps;
	lohms = lvolts / lamps;
  }
  else if ((lvolts != "") & (lohms != "")){
    lvolts = parseFloat(lvolts) * mvolts;
    lohms = parseFloat(lohms) * mohms;
	lwatts = (lvolts * lvolts) / lohms;
	lamps = (lvolts / lohms);
  }
  else if ((lvolts != "") & (lwatts != "")){
    lvolts = parseFloat(lvolts) * mvolts;
    lwatts = parseFloat(lwatts) * mwatts;
	lamps = lwatts / lvolts;
	lohms = (lvolts * lvolts) / lwatts;
  }
  else if ((lamps != "") & (lohms != "")){
    lamps = parseFloat(lamps) * mamps;
    lohms = parseFloat(lohms) * mohms;
	lvolts = lamps * lohms;
	lwatts = (lamps * lamps) * lohms;
  }
  else if ((lamps != "") & (lwatts != "")){
    lamps = parseFloat(lamps) * mamps;
    lwatts = parseFloat(lwatts) * mwatts;
	lvolts = lwatts / lamps;
	lohms = lwatts / (lamps * lamps);
  }
  else if ((lohms != "") & (lwatts != "")){
    lohms = parseFloat(lohms) * mohms;
    lwatts = parseFloat(lwatts) * mwatts;
	lvolts = Math.sqrt(lwatts * lohms);
	lamps = Math.sqrt(lwatts / lohms);
  }

	with (document.ohmslaw){
	  volts.value = (lvolts / mvolts).toFixed(2);
	  amps.value = (lamps / mamps).toFixed(2);
	  watts.value = (lwatts / mwatts).toFixed(2);
	  ohms.value = (lohms / mohms).toFixed(2);
	}

}